Package ru.bitel.common.util

# Class DebugUtils

java.lang.Object
ru.bitel.common.util.DebugUtils

    public class DebugUtils
    extends java.lang.Object

Класс, используется для отладочного вывода или там например для дампа содержимого сложного объекта (типа модели какой-нибудь), как в php print_r, ну и всё такое же.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `LINE_SEPARATOR` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DebugUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `dumpObject​(java.lang.Object var)` | Сроковое представление внутренности объкета, можно использовать, например, для вывода объекта при toString(), типа
  `static void` | `dumpVar​(java.lang.Object var)` | Дамп переменной в консоль.
  `static void` | `dumpVar​(java.lang.Object var, java.io.Writer writer)` | Дамп переменной в поток, типа как print_r из php, подобъекты тоже дампируются и отображаются, xml всякие итд.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LINE_SEPARATOR

    public static final java.lang.String LINE_SEPARATOR

- ## Constructor Details

  - ### DebugUtils

    public DebugUtils()

- ## Method Details

  - ### dumpVar

    public static void dumpVar​(java.lang.Object var) throws java.lang.Exception
    Дамп переменной в консоль.
    Throws:
      `java.lang.Exception`
    See Also:
      `dumpVar(Object, Writer )`

  - ### dumpVar

    public static void dumpVar​(java.lang.Object var, java.io.Writer writer) throws java.lang.Exception
    Дамп переменной в поток, типа как print_r из php, подобъекты тоже дампируются и отображаются, xml всякие итд.
    Parameters:
      `var` - переменная
      `writer` - врайтер
    Throws:
      `java.lang.Exception`

  - ### dumpObject

    public static java.lang.String dumpObject​(java.lang.Object var)
    Сроковое представление внутренности объкета, можно использовать, например, для вывода объекта при toString(), типа

                (a)Override
                public String toString()
                {
                        return DebugUtils.dumpObject( this );
                }

    и будет что-то типа `ru.bitel.bgbilling.modules.buyemoney.server.protocols.TransactionResult@[transactId=0;status=null;comment=null;date=null;]@1fb8ee3`
    Parameters:
      `var` - объект
    Returns:
      строка, типа как стандартный toString, но с содержимым полей.